-- Colorscheme name:        neogruber.nvim
-- Description:             A Neovim theme that combines the Nord and Atom One Dark color palettes.
-- Author:                  Ryan Mehri
-- Website:                 https://github.com/rmehri01/neogruber.nvim

local config = require 'neogruber.config'
local util = require 'neogruber.util'

local neogruber = {}

function neogruber.setup(options)
  config.set_options(options)
  neogruber.load(true)
end

function neogruber.load(exec_autocmd)
  local colors = require('neogruber.colors').load()

  util.load(colors, exec_autocmd)
end

return neogruber
